%define upstream_name    MooseX-SetOnce
%define upstream_version 0.200002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Write-once, read-many attributes for Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role) >= 0.900.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The 'SetOnce' attribute lets your class have attributes that are not lazy
and not set, but that cannot be altered once set.

The logic is very simple: if you try to alter the value of an attribute
with the SetOnce trait, either by accessor or writer, and the attribute has
a value, it will throw an exception.

If the attribute has a clearer, you may clear the attribute and set it
again.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.200.2-8.mga6
+ Revision: 1030601
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.2-7.mga6
+ Revision: 949544
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.200.2-6.mga5
+ Revision: 790021
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.2-5.mga5
+ Revision: 743158
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.200.2-4.mga5
+ Revision: 735854
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.200.2-3.mga5
+ Revision: 685566
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.200.2-2.mga4
+ Revision: 539450
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.200.2-1.mga4
+ Revision: 492136
- update to 0.200002

* Sun Jan 13 2013 umeabot <umeabot> 0.200.1-2.mga3
+ Revision: 370306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.200.1-1.mga2
+ Revision: 154360
- update to 0.200001

* Thu Apr 07 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 81768
- update to 0.200000

* Wed Mar 02 2011 jquelin <jquelin> 0.100.473-1.mga1
+ Revision: 62647
- update to 0.100473

* Fri Jan 21 2011 jquelin <jquelin> 0.100.472-1.mga1
+ Revision: 28691
- mageia rebuild
- imported package perl-MooseX-SetOnce

